From fac27723fba1b730e2b8b20ec872d30691d40d8a Mon Sep 17 00:00:00 2001
From: Benjamin Lu <benceruleanlu@proton.me>
Date: Fri, 5 Sep 2025 09:11:39 -0700
Subject: [PATCH 54/77] [refactor] Use public nodes getter instead of private
 _nodes property (#5369)

---
 src/renderer/core/layout/sync/useSlotLayoutSync.ts | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/renderer/core/layout/sync/useSlotLayoutSync.ts b/src/renderer/core/layout/sync/useSlotLayoutSync.ts
index 2bc7d53f3..faaebb21d 100644
--- a/src/renderer/core/layout/sync/useSlotLayoutSync.ts
+++ b/src/renderer/core/layout/sync/useSlotLayoutSync.ts
@@ -70,7 +70,7 @@ export function useSlotLayoutSync() {
     if (!graph) return
 
     // Initial registration for all nodes in the current graph
-    for (const node of graph._nodes) {
+    for (const node of graph.nodes) {
       computeAndRegisterSlots(node)
     }
 

